<form [formGroup]="dutyForm" (ngSubmit)="onSubmit()" class="example-container">
    <button mat-raised-button (click)="addDuty()">Add duty</button>
    
    <div formArrayName="dutyNames">
        <div *ngFor="let duty of dutyNames.controls; let i = index">
            <mat-form-field>
                <mat-label>Duty Name</mat-label>
                <input matInput type="text" [formControlName]="i"  />
                <mat-error>Please enter a valid name</mat-error>
            </mat-form-field>

            <button mat-raised-button type="button" (click)="deleteDuty(i)">Delete Element</button>
        </div>
    </div>
        
    <button mat-raised-button type="submit" [disabled]="!dutyForm.valid">Save</button>
</form>
